Package twisted :: Package web :: Module distrib :: Class ResourcePublisher

[show private | hide private]
[frames | no frames]

## Class ResourcePublisher

    Jellyable --+
                |
     Serializable --+
                    |
        Referenceable --+
                        |
                     Root --+
                            |
                Versioned --+
                            |
                           ResourcePublisher

Method Summary
| `__init__(self, site)`
| ``__getstate__`(self, dict)` Get state, adding a version number to it on its way out. (inherited from `Versioned`)
| `__setstate__(self, state)` (inherited from `Versioned`)
| `getPerspectiveNamed(self, name)`
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``jellyFor`(self, jellier)` (internal) (inherited from `Referenceable`)
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| `remote_request(self, request)`
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received. (inherited from `Referenceable`)
| ``rootObject`(self, broker)` A `pb.BrokerFactory`is requesting to publish me as a root object. (inherited from `Root`)
| `upgradeToVersion2(self)`
| ``versionUpgrade`(self)` (internal) Do a version upgrade. (inherited from `Versioned`)

Class Variable Summary
`int` | `persistenceVersion`

Class Variable Details

### persistenceVersion

  Type:
    `int`
  Value:

        2

Generated by Epydoc 1.1 on Sat Feb 15 21:19:27 2003 | http://epydoc.sf.net